Make initscript patch more distro-neutral, add links to bugreports

This commit is contained in:
Pavel Šimerda
2012-06-19 14:51:37 +02:00
parent 8496d089b5
commit 4c9b59d15e
2 changed files with 24 additions and 20 deletions

View File

@@ -1,7 +1,7 @@
Index: strongswan-4.6.0/init/systemd/strongswan.service.in Index: strongswan-4.6.4/init/systemd/strongswan.service.in
=================================================================== ===================================================================
--- strongswan-4.6.0.orig/init/systemd/strongswan.service.in --- strongswan-4.6.4.orig/init/systemd/strongswan.service.in
+++ strongswan-4.6.0/init/systemd/strongswan.service.in +++ strongswan-4.6.4/init/systemd/strongswan.service.in
@@ -3,7 +3,7 @@ Description=strongSwan IPsec @@ -3,7 +3,7 @@ Description=strongSwan IPsec
After=syslog.target After=syslog.target
@@ -11,11 +11,11 @@ Index: strongswan-4.6.0/init/systemd/strongswan.service.in
StandardOutput=syslog StandardOutput=syslog
[Install] [Install]
Index: strongswan-4.6.1/init/sysvinit/strongswan Index: strongswan-4.6.4/init/sysvinit/strongswan
=================================================================== ===================================================================
--- /dev/null --- /dev/null
+++ strongswan-4.6.1/init/sysvinit/strongswan +++ strongswan-4.6.4/init/sysvinit/strongswan
@@ -0,0 +1,102 @@ @@ -0,0 +1,100 @@
+#!/bin/sh +#!/bin/sh
+# +#
+# strongswan An implementation of key management system for IPsec +# strongswan An implementation of key management system for IPsec
@@ -37,10 +37,8 @@ Index: strongswan-4.6.1/init/sysvinit/strongswan
+ +
+exec="/usr/sbin/strongswan" +exec="/usr/sbin/strongswan"
+prog="strongswan" +prog="strongswan"
+prog1="starter" +status_prog="starter"
+config="/etc/racoon2/racoon2.conf" +config="/etc/strongswan/strongswan.conf"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+ +
+lockfile=/var/lock/subsys/$prog +lockfile=/var/lock/subsys/$prog
+ +
@@ -77,40 +75,40 @@ Index: strongswan-4.6.1/init/sysvinit/strongswan
+ restart + restart
+} +}
+ +
+rh_status() { +_status() {
+ # run checks to determine if the service is running or use generic status + # run checks to determine if the service is running or use generic status
+ status $prog1 + status $status_prog
+} +}
+ +
+rh_status_q() { +_status_q() {
+ rh_status >/dev/null 2>&1 + _status >/dev/null 2>&1
+} +}
+ +
+ +
+case "$1" in +case "$1" in
+ start) + start)
+ rh_status_q && exit 0 + _status_q && exit 0
+ $1 + $1
+ ;; + ;;
+ stop) + stop)
+ rh_status_q || exit 0 + _status_q || exit 0
+ $1 + $1
+ ;; + ;;
+ restart) + restart)
+ $1 + $1
+ ;; + ;;
+ reload) + reload)
+ rh_status_q || exit 7 + _status_q || exit 7
+ $1 + $1
+ ;; + ;;
+ force-reload) + force-reload)
+ force_reload + force_reload
+ ;; + ;;
+ status) + status)
+ rh_status + _status
+ ;; + ;;
+ condrestart|try-restart) + condrestart|try-restart)
+ rh_status_q || exit 0 + _status_q || exit 0
+ restart + restart
+ ;; + ;;
+ *) + *)

View File

@@ -1,12 +1,14 @@
Name: strongswan Name: strongswan
Version: 4.6.4 Version: 4.6.4
Release: 1%{?dist} Release: 2%{?dist}
Summary: An OpenSource IPsec-based VPN Solution Summary: An OpenSource IPsec-based VPN Solution
Group: System Environment/Daemons Group: System Environment/Daemons
License: GPLv2+ License: GPLv2+
URL: http://www.strongswan.org/ URL: http://www.strongswan.org/
Source0: http://download.strongswan.org/%{name}-%{version}.tar.bz2 Source0: http://download.strongswan.org/%{name}-%{version}.tar.bz2
# http://wiki.strongswan.org/issues/195
Patch0: %{name}-init.patch Patch0: %{name}-init.patch
# http://wiki.strongswan.org/issues/194
Patch1: %{name}-rename.patch Patch1: %{name}-rename.patch
BuildRequires: gmp-devel BuildRequires: gmp-devel
BuildRequires: libcurl-devel BuildRequires: libcurl-devel
@@ -201,6 +203,10 @@ fi
#TODO manpages #TODO manpages
%changelog %changelog
* Tue Jun 19 2012 Pavel Šimerda - 4.6.4-2
- Make initscript patch more distro-neutral
- Add links to bugreports for patches
* Fri Jun 01 2012 Pavel Šimerda <pavlix@pavlix.net> - 4.6.4-1 * Fri Jun 01 2012 Pavel Šimerda <pavlix@pavlix.net> - 4.6.4-1
- New upstream version (CVE-2012-2388) - New upstream version (CVE-2012-2388)